> ## Documentation Index
> Fetch the complete documentation index at: https://docs.rio.trade/llms.txt
> Use this file to discover all available pages before exploring further.

# Create a new crypto address

### Requirements to consume the endpoint.

<CardGroup cols={1}>
  <Card title="Create and modify role" icon="user-lock">
    The user must have the role to create and modify.
  </Card>
</CardGroup>


## OpenAPI

````yaml POST /api/addresses
openapi: 3.0.0
info:
  version: v1.0.0
  title: Address service API
  description: API for managing address service in the Rio platform
servers:
  - url: https://app.sandbox.rio.trade
security:
  - apiKeyAuth: []
paths:
  /api/addresses:
    post:
      summary: Create a new crypto address
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/createAddressSchema'
      responses:
        '201':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/responseCreatedAddressSchema'
          description: Created
        '400':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/badRequestSchema'
          description: Bad Request
        '401':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/unauthorizedSchema'
          description: Unauthorized
components:
  schemas:
    createAddressSchema:
      type: object
      properties:
        address:
          type: string
          description: New crypto address.
          example: '0x32Be343B94f860124dC4fEe278FDCBD38C102D88'
        blockchainMemo:
          type: string
          description: >-
            The memo for the blockchain transaction (USDC Stellar addresses
            only). Please check if your wallet requires a memo for deposits. If
            so, please include the memo in the transaction. Failure to include
            the memo will result in the payment not being credited to your order
            and your funds may be permanently lost.
          example: '1234567890'
        crypto:
          description: Crypto currency.
          type: string
          enum:
            - USDC
            - USDC_POLYGON_NXTB
            - SOL_USDC_PTHX
            - XLM_USDC_5F3T
            - USDT_POLYGON
            - USDT_ERC20
            - TRX_USDT_S2UZ
            - USDT_BSC
        userId:
          type: string
          description: Id of the user to which this address will be associated.
          example: 66290ac8bd3903485989f82e
        label:
          type: string
          description: Label for the address.
          example: My Address
      required:
        - address
        - crypto
    responseCreatedAddressSchema:
      type: object
      properties:
        createdAt:
          type: string
          description: The date and time when the address was created.
          example: '2024-07-25T19:57:09.812Z'
        userId:
          type: string
          description: Id of the user.
          example: 66562bc04fe8bf83c577c178
        crypto:
          description: Crypto currency.
          type: string
          enum:
            - USDC
            - USDC_POLYGON_NXTB
            - SOL_USDC_PTHX
            - XLM_USDC_5F3T
            - USDT_POLYGON
            - USDT_ERC20
            - TRX_USDT_S2UZ
            - USDT_BSC
        address:
          type: string
          description: Crypto address.
          example: '0x32Be343B94f860124dC4fEe278FDCBD38C102D88'
        blockchainMemo:
          type: string
          description: >-
            The memo for the blockchain transaction (USDC Stellar addresses
            only). Please check if your wallet requires a memo for deposits. If
            so, please include the memo in the transaction. Failure to include
            the memo will result in the payment not being credited to your order
            and your funds may be permanently lost.
          example: '1234567890'
        approved:
          type: boolean
          description: Indicates if the address has been approved.
          example: false
        lastChecked:
          type: string
          description: The date and time when the address was last verified.
          example: '2024-05-30T20:09:40.500Z'
        label:
          type: string
          description: Label of the address.
          example: Crypto Address
        id:
          type: string
          description: Id of the address.
          example: 6658dd0420b7daba6a25ff3a
    badRequestSchema:
      type: object
      properties:
        errors:
          type: array
          items:
            type: object
            properties:
              code:
                type: number
                example: 39
              message:
                type: string
                example: Address did not pass background check
    unauthorizedSchema:
      type: object
      properties:
        errors:
          type: array
          items:
            type: object
            properties:
              code:
                type: number
                example: 19
              message:
                type: string
                example: Not authorized
  securitySchemes:
    apiKeyAuth:
      type: apiKey
      in: header
      name: x-api-key

````